Subject: Re: [HACKERS] CLUSTER command progress monitor

From: Tattsu Yama <[email-masked]>
Date: Mon, 25 Mar 2019 01:55:18 +0900

Hi Robert! >On Tue, Mar 19, 2019 at 2:47 PM Robert Haas
<robertmhaas(at)gmail(dot)com> wrote: >> how close you were getting to
rewriting the entire heap. This is the >> one thing I found but did not
fix; any chance you could make this >> change and update the documentation
to match? > > >Hi, is anybody working on this? Thank you so much for
reviewing the patch and sorry for the late reply. Today, I realized that
you sent the email for the patch because I took a sick leave from work for
a while. So, I created new patch based on your comments asap. I hope it is
acceptable to you. :) Please find attached file. Changes - Add new column
*heap_tuples_written* in the view This column is updated when the phases
are "seq scanning heap", "index scanning heap" or "writing new heap". - Fix
document - Revised the patch on 280a408b48d5ee42969f981bceb9e9426c3a344c

Regards,

Tatsuro Yamada